﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Enemy : MonoBehaviour
{
	[SerializeField]
	private int health;

	private MeshRenderer meshRenderer;

	[SerializeField]
	private ParticleSystem bloodEffect;

	private void Start()
	{
		meshRenderer = GetComponent<MeshRenderer>();
	}

	public void GetDamaged(int dmg)
	{
		health -= dmg;
		StartCoroutine(DamageRoutine());
		if (health <= 0)
		{
			Dead();
		}
	}

	private void Dead()
	{
		Debug.Log(gameObject + " : DEAD!");
		GetComponent<Rigidbody>().useGravity = false;
		GetComponent<Collider>().enabled = false;
		Destroy(gameObject, 5);
	}

	private IEnumerator DamageRoutine()
	{
		bloodEffect?.Play();
		yield return null;
	}
}
