﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class IngameUIManager : SingletonBehaviour<IngameUIManager>
{
	[SerializeField]
	private GameObject targetLockedUIPrefab;

	private List<Image> targetLockedUIs = new List<Image>();
   
	public void UpdateTargetLockedUIs(Vector3[] pos)
	{
		int tmp, i = 0;

		int count = targetLockedUIs.Count;

		for (int j = 0; j < pos.Length - count; j++)
		{
			targetLockedUIs.Add(Instantiate(targetLockedUIPrefab, transform).GetComponent<Image>());
		}
		//Debug.Log(targetLockedUIs.Count);
		//Debug.Log(pos.Length);
		for (; i < pos.Length; i++)
		{
			Vector2 viewportPoint = Camera.main.WorldToViewportPoint(pos[i]);
			targetLockedUIs[i].rectTransform.anchorMin = viewportPoint;
			targetLockedUIs[i].rectTransform.anchorMax = viewportPoint;
		}
		for (tmp = i; i < targetLockedUIs.Count; i++)
		{
			Destroy(targetLockedUIs[i].gameObject);
		}
		if (tmp < targetLockedUIs.Count)
		{
			targetLockedUIs.RemoveRange(tmp, targetLockedUIs.Count - tmp);
		}
	}
}
